Subject: Daniele Castiglioni - Request for Documents for Visa Extension
From: Daniele Castiglioni <[email-masked]>
To: "HR | Livesalesman" <[email-masked]>
Cc: Ashish Dabral <[email-masked]>
Date: Wed, 23 Dec 2020 07:28:39 -0700 (MST)

Hi Harpret, 

I am writing concerning the documents needed to extend my Employment Visa. 

As agreed with Saurabh Sir, i will renew my contract with the company for 1 more year. ( From January 2021 SALARY Is 35000/month ) 

Here below I send the documents requested by the FRRO in order to apply for Extension Visa: 

- INCOME TAX PAPER : Form 16/ Income tax return in case the applicant is residing in India for more than 1 year or proof of TDS with bank Challan for the current financial year / Form 26AS 

- CONTRACT PAPER: Employement Paper Mentioning about the Salary, Employement Period etc. 

- REQUEST LETTER: Request Letter from the Company for Extension mentioning the period for which extension is sought along with proof of Employee Provident Found (EPF) Payment. 

- UNDERTAKING LETTER: Letter of Undertaking from company signed by indian host or Authorised signatory with name and contact number. 

As per FRRO policy I need to submit the application form before 15days from expiring date. Plus it will take further 15/20 days for them to approved the Visa Extension. 

Since my Visa will expired on January 10th 2021 , I kindly ask to provide me all the documents as soon as possible within next week. 

Thank for your consideration, 

Kind regards, 

Daniele Castiglioni